package audit

import (
	"context"

	"github.com/jackc/pgx/v5"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/logger"
	"git.optclblast.xyz/draincloud/draincloud-core/internal/storage/models/audit"
)

type Repository struct {
	db *pgx.Conn
}

func (r *Repository) AddEntry(ctx context.Context, entry audit.AuditLogEntry) error {
	logger.Warn(ctx, "[Repository][AddEntry] not implemented yet!")
	return nil
}
